## python-eth-utils 5.3.1

=== Makefile ===
CURRENT_SIGN_SETTING := $(shell git config commit.gpgSign)

.PHONY: clean-pyc clean-build docs

help:
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean - run clean-build and clean-pyc"
	@echo "dist - build package and cat contents of the dist directory"
	@echo "lint - fix linting issues with pre-commit"
	@echo "test - run tests quickly with the default Python"
	@echo "docs - generate docs and open in browser (linux-docs for version on linux)"
	@echo "autobuild-docs - live update docs when changes are saved"
	@echo "package-test - build package and install it in a venv for manual testing"
	@echo "notes - consume towncrier newsfragments and update release notes in docs - requires bump to be set"
	@echo "release - package and upload a release (does not run notes target) - requires bump to be set"

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -rf {} +

clean: clean-build clean-pyc

dist: clean
	python -m build
	ls -l dist

lint:
	@pre-commit run --all-files --show-diff-on-failure || ( \
		echo "\n\n\n * pre-commit should have fixed the errors above. Running again to make sure everything is good..." \
		&& pre-commit run --all-files --show-diff-on-failure \
	)

test:
	python -m pytest tests

# docs commands

docs: check-docs
	open docs/_build/html/index.html

linux-docs: check-docs
	xdg-open docs/_build/html/index.html

autobuild-docs:
	sphinx-autobuild --open-browser docs docs/_build/html

# docs helpers

validate-newsfragments:
	python ./newsfragments/validate_files.py
	towncrier build --draft --version preview

check-docs: build-docs validate-newsfragments

build-docs:
	sphinx-apidoc -o docs/ . setup.py "*conftest*"
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(MAKE) -C docs doctest

check-docs-ci: build-docs build-docs-ci validate-newsfragments

build-docs-ci:
	$(MAKE) -C docs latexpdf
	$(MAKE) -C docs epub

# release commands

package-test: clean
	python -m build
	python scripts/release/test_package.py

notes: check-bump
	# Let UPCOMING_VERSION be the version that is used for the current bump
	$(eval UPCOMING_VERSION=$(shell bump-my-version bump --dry-run $(bump) -v | awk -F"'" '/New version will be / {print $$2}'))
	# Now generate the release notes to have them included in the release commit
	towncrier build --yes --version $(UPCOMING_VERSION)
	# Before we bump the version, make sure that the towncrier-generated docs will build
	make build-docs
	git commit -m "Compile release notes for v$(UPCOMING_VERSION)"

release: check-bump check-git clean
	# verify that notes command ran correctly
	./newsfragments/validate_files.py is-empty
	CURRENT_SIGN_SETTING=$(git config commit.gpgSign)
	git config commit.gpgSign true
	bump-my-version bump $(bump)
	python -m build
	git config commit.gpgSign "$(CURRENT_SIGN_SETTING)"
	git push upstream && git push upstream --tags
	twine upload dist/*

# release helpers

check-bump:
ifndef bump
	$(error bump must be set, typically: major, minor, patch, or devnum)
endif

check-git:
	# require that upstream is configured for ethereum/eth-utils
	@if ! git remote -v | grep "upstream[[:space:]]git@github.com:ethereum/eth-utils.git (push)\|upstream[[:space:]]https://github.com/ethereum/eth-utils (push)"; then \
		echo "Error: You must have a remote named 'upstream' that points to 'eth-utils'"; \
		exit 1; \
	fi

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/eth_utils.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/eth_utils.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/eth_utils"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/eth_utils"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-eth-utils 5.3.0

=== debian/changelog ===
python-eth-utils (5.3.0-2) unstable; urgency=medium

  * Apply patch 0002-*.patch to solve 32 bit tests failure.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Wed, 27 Aug 2025 18:46:23 -0400

python-eth-utils (5.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1109802)

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Tue, 29 Jul 2025 18:26:09 -0400

=== debian/control ===
Source: python-eth-utils
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Manuel Guerra <ar.manuelguerra@gmail.com>,
           Soren Stoutner <soren@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3
Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
                     python3-sphinx <!nodoc>,
                     python3-sphinx-rtd-theme <!nodoc>,
                     python3-typing-extensions <!nodoc>,
                     sphinx-common <!nodoc>,
                     python3-all,
                     python3-cytoolz,
                     python3-eth-hash,
                     python3-eth-typing,
                     python3-hypothesis,
                     python3-mypy,
                     python3-pydantic (>= 2.0),
                     python3-pydantic-core (>= 2.0),
                     python3-pytest,
                     python3-setuptools,
                     python3-toolz
Homepage: https://github.com/ethereum/eth-utils
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-eth-utils
Vcs-Git: https://salsa.debian.org/python-team/packages/python-eth-utils.git
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2

Package: python3-eth-utils
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Common utility functions for Python that interacts with Ethereum
 eth-utils is an essential Python library providing a robust collection of
 helper functions and tools for Ethereum-based applications. It offers:
 .
  * Address handling: Checksum validation, normalization and conversions
  * ABI utilities: Encoding/decoding and signature manipulation
  * Hexadecimal and byte operations: Type-safe conversions and formatting
  * Cryptographic helpers: Keccak hashing and related utilities
  * Currency conversions: Wei/ether denomination handling
  * Data type validation: Type checking for common Ethereum data formats
  * Network utilities: Chain ID and network name handling
 .
 The library is maintained by the Ethereum Foundation and serves as a foundation
 for major Python Ethereum projects like web3.py, eth-account, and others. It
 strictly follows Ethereum standards (EIPs) and provides type-safe operations
 critical for secure blockchain interactions.

=== debian/watch ===
version=4
https://github.com/ethereum/eth-utils/tags .*/v?(\d.*).tar.gz

## python-eth-utils 5.3.1

=== debian/changelog ===
python-eth-utils (5.3.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/watch: bump version to 5, new format applied.
  * debian/control: move python3-setuptools to Build-Depends section.
  * debian/patches: delete patch 0002-use-sorted-set-for-32-bit-systems.patch

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Tue, 16 Sep 2025 10:48:11 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Manuel Guerra <ar.manuelguerra@gmail.com>,
            Soren Stoutner <soren@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3
+               dh-sequence-python3,
+               python3-setuptools,
 Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
                      python3-sphinx <!nodoc>,
                      python3-sphinx-rtd-theme <!nodoc>,
@@ -20,7 +21,6 @@
                      python3-pydantic (>= 2.0),
                      python3-pydantic-core (>= 2.0),
                      python3-pytest,
-                     python3-setuptools,
                      python3-toolz
 Homepage: https://github.com/ethereum/eth-utils
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-eth-utils

=== debian/rules ===
#!/usr/bin/make -f

# Copy the fixtures directory to the build environment, as it is needed by the tests.
export PYBUILD_BEFORE_TEST = cp -R {dir}/fixtures {build_dir}

export PYBUILD_TEST_ARGS = $(if $(filter i386,$(DEB_BUILD_ARCH)), \
	|| echo "Known test issues (i386 set order)")

# Remove the fixtures directory after the tests have completed.
export PYBUILD_AFTER_TEST=rm -R {build_dir}/fixtures

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
 # Build HTML documentation
	mkdir -p docs/_build/html
	sphinx-build -b html -D html_theme=default \
		docs docs/_build/html

execute_after_dh_auto_install:
 # Use debhelper to obtain the upstream version
 # See patches/0001-change-auto-version.patch for more info
	sed -i "s/@DEB_VERSION@/$$(head -1 debian/changelog | \
		grep -Po '\(\K[^~+-]+')/" \
		debian/python3-eth-utils/usr/lib/python3.*/dist-packages/eth_utils/__init__.py

execute_after_dh_sphinxdoc:
 # Delete '_source' directory
	rm -rf debian/python3-eth-utils/usr/share/doc/python3-eth-utils/html/_sources/
